=== debian/control ===
Source: ros-rolling-rosidl-generator-c
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-python, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-rosidl-cmake, ros-rolling-rosidl-runtime-c, ros-rolling-test-interface-files, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-generator-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-rolling-ament-cmake-core, ros-rolling-ament-index-python, ros-rolling-rcutils, ros-rolling-rosidl-cli, ros-rolling-rosidl-cmake, ros-rolling-rosidl-parser, ros-rolling-rosidl-typesupport-interface, ros-rolling-ros-workspace
Description: Generate the ROS interfaces in C.
